Highlighted
Posted by
Digon

Compatibility with older versions

Some of my customers use TeamViewer 11, because I use TV13 I can't connect to them. It is a pity that this does not work. Is there a solution?

1 Accepted Solution

Accepted Solutions
Highlighted
Posted by Community Manager
Community Manager
Solution

Re: Compatibility with older versions

Hi @cansiz

Can you try to start the QuickJoin module in version 11?

You can download it here: https://www.teamviewer.com/en/download/previous-versions/

Thanks, Esther

Community Manager

Did my reply answer your question? Accept it as a solution to help others.
Find this helpful? Say thanks by clicking on the Thumbs Up button. Find more information here: Knowledge Base | Community Blog | How to get started

View solution in original post

13 Replies
Highlighted
Posted by Community Manager
Community Manager

Re: Compatibility with older versions

Hi @cansiz

TeamViewer is backwards compatible. Connections from a TeamViewer 13 to a TeamViewer in version 11 should work without any issues.

Only the other way around: From version 11 to version 13 will not work.

Are you getting an error message? If so, what does it say?

Thanks and all the best, Esther

Community Manager

Did my reply answer your question? Accept it as a solution to help others.
Find this helpful? Say thanks by clicking on the Thumbs Up button. Find more information here: Knowledge Base | Community Blog | How to get started

Highlighted
Posted by Closed account
Not applicable

immediate time out issue

I use tv for my personal purposes (free version)  to help family members who are less computer savvy then I.  As is  I tried to access one of the computers from my work place and was immediately timed out because the contact was made from my work network.  

Is there a way around this or is the only solution to purchase a license?  Please advise.

Highlighted
Posted by
Former Staff

Re: immediate time out issue

Hi jlow202,

Thank you for posting. When you use TeamViewer to connect your computers in office, it is deemed as commercial use and you need to have a license. 

Please refer to this article to find why commercial use detected.

Highlighted
Posted by
Digon

Re: Compatibility with older versions

Hello @Esther,

when I set up a meeting with TeamViewer 13, it is not a problem to join this meeting with TV11 (both with license).

But when there is a meeting set up with TV 11, I can not join this meeting with my TV13. It gives a message: "Unable to connect: The meeting you are trying to join is incompatible with your TeamViewer version. Please use TeamViewer QuickJoin instead."

After this message, I downloaded TeamViewer QuickJoin. But there is the same message when I try to join the meeting. So I have no connection from TV13 to a meeting in TV11. This is important, because the Browser version isn't good for it.

Also I tried to join to a meeting with a invitation link. When I open the link, I can choose If I want to join the meeting with TV13. There wasn't a connection, so I tried to choose QuickJoin (opening the .exe file for it). But also there isn't a connection.

Thank you for your answers.

Highlighted
Posted by Community Manager
Community Manager
Solution

Re: Compatibility with older versions

Hi @cansiz

Can you try to start the QuickJoin module in version 11?

You can download it here: https://www.teamviewer.com/en/download/previous-versions/

Thanks, Esther

Community Manager

Did my reply answer your question? Accept it as a solution to help others.
Find this helpful? Say thanks by clicking on the Thumbs Up button. Find more information here: Knowledge Base | Community Blog | How to get started

View solution in original post

Highlighted
Posted by
Digon

Re: Compatibility with older versions

Thank you very much! This helped me.

Highlighted
Posted by
Henagon

Re: Compatibility with older versions

@Esther 
Hi Esther,

Is the backward compatibility only for the paid version or will it work on a free version as well?

I have an untended PC, running version 10 or 11 (not 100% sure), I tried connecting with version 13 (free) and 14(free)  but I get the following message:


The remote TeamViewer is running an old version which is out of date. Therefore you cannot connect to this Version anymore. Your connection partner can update TeamViewer by clicking on "Help"-Check for New Version".


This is however not easily achievable as the PC is unattended.
If I purchase the license will I be able to connect?

Cheers Voytek

Highlighted
Posted by
Henagon

Re: Compatibility with older versions

My mother and I both have older Macs. I tried installing the latest version of TV, but was told my computer was too old, so I installed the compatible 10x version. Mom did the same with the QuickSupport program. 

When I put in the ID numbers she gave me, I got a message that I couldn't connect to her because she was using an older version of QS and to tell her to install the latest version. Well, the latest version doesn't work on her computer! How are we supposed to connect?

She is going out of her mind already, with me emailing her links to install software that doesn't work, and helping her figure out how to close and/or delete the wrong ones, and close windows, and delete emails, and redo it all over. She is very very helpless, she doesn't even know what a desktop is, so this is all very slow and time consuming and frustrating. I need to be able to establish a connection to her computer, and then I will create a permanent connection so I can help at easily in the future. 

But I am at a loss here! Appreciate any thoughts on connecting two computers, neither of which can run the most recent versions of the software!

 

Highlighted
Posted by Community Manager
Community Manager

Re: Compatibility with older versions

Hi @aflynn37 @voytek 

Thanks for your posts.

There has been a change in regards to the older versions for several reasons: Now, older versions are only available for customers with a TeamViewer license.

You can find more information about this topic here: Updating to the latest and greatest version of TeamViewer.

Thanks and best, Esther

Community Manager

Did my reply answer your question? Accept it as a solution to help others.
Find this helpful? Say thanks by clicking on the Thumbs Up button. Find more information here: Knowledge Base | Community Blog | How to get started

Highlighted
Posted by
Henagon

Re: Compatibility with older versions

TeamViewer is no longer completely backwards compatiable.  
A freind of mine tried to connect from TV13 or TV14 to TV10 and received a notice saying that the TV10 was too old and needed to be updated.
TeamViewer as an organisation are being difficult and unfair to their users.  
I regret moving to TeamViewer.  

Highlighted
Posted by
Electron

Re: Compatibility with older versions

This is not a real solution ....

We paid for an unlimited license channel and teamviewer launches an incompatible version with these unlimited channels. and we can't speak to other TeamViewer user if thez have a différent version installed !

teamviewer does not respect its commitments ...

We stay in version 11, to enjoy what we have paid. And we do not trust at all the offers of TeamViewer who does not hesitate to hijack its customers to force them to upgrade.

When someone has a new TeamViewer and wants to communicate with us, we explain to them how we were ripped off ...

The image of Teamviewer takes a hit, it's a shame to wallow in a detail like this

Highlighted
Posted by
Henagon

Re: Compatibility with older versions

My mother-in-law is 94 and needs help once in a while with her computer. I cannot help her in person because of COVID-19, and I'm trying to do that with TeamVIewer. She has an old Macintosh (OS 10.9.5) that cannot be upgraded to a later OS and TV 9. I have TV 14, but installed version 12 since it is the oldest version that works with my Mac OS (10.13.6). According to https://community.teamviewer.com/t5/Knowledge-Base/Which-operating-systems-are-supported/ta-p/24141#, her Mac should work with TV 12, but she says that "Check for update" will only install a later version of 9. When I try to connect to her computer with TV 12 or 14, I get the message that she has an outdated version. I hope you will be able to help with this unusual and ccasional situation, and make it possible for me to help her without making one or both us purchase a subscription.

Highlighted
Posted by
Electron

Re: Compatibility with older versions

I wanted to add this for others who may find themselves here.

If you're like me and many others who help their less tech-savvy friends and family, then TeamViewer Host may be your solution. It was developed for use on unattended computers, such as server interfaces and inherently does not need to be updated often. It cannot create outgoing connections, but that should be fine when used for the support recipient. The best part is it requires zero interaction from the recipient. No IDs or passwords have to be given, you can access an older version with newer versions, and I believe you can even remotely update the TeamViewer Host, if I recall correctly. This will require some trust from both parties, though, as you can technically access their computer at anytime. All of this comes with the free version, too. I do not own a purchased license, and I use this method. Hope this helps..